Page MenuHomePhabricator

82: Remove site alias support
Closed, ResolvedPublic

Description

After announcing the upcoming removal, site alias support should be removed in its current form

  • Announce
  • Remove

Related Objects

Event Timeline

DannyS712 changed the task status from Open to Stalled.Nov 21 2019, 11:30 PM
DannyS712 triaged this task as Low priority.
DannyS712 created this task.
Restricted Application assigned this task to DannyS712. · View Herald TranscriptNov 21 2019, 11:30 PM
Restricted Application added a project: User-DannyS712. · View Herald Transcript

Site aliases? As in enwiki for en.wikipedia?

DannyS712 added a comment.EditedNov 21 2019, 11:35 PM

Site aliases? As in enwiki for en.wikipedia?

Exactly. At some point I might bring them back, better, but for now its just:

siteAliases: {
	commons: 'commons.wikimedia',
	enwiki: 'en.wikipedia',
	mediawiki: 'www.mediawiki',
	meta: 'meta.wikimedia',
	wikidata: 'www.wikidata',
},

Why not just use mwDBname instead of the site name?

Why not just use mwDBname instead of the site name?

Because I use the site name to create the url for the api

DannyS712 changed the task status from Stalled to Open.Nov 22 2019, 9:06 PM
DannyS712 updated the task description. (Show Details)
DannyS712 closed this task as Resolved.Nov 24 2019, 11:01 AM

Done in 6.1

DannyS712 updated the task description. (Show Details)Nov 24 2019, 11:01 AM